Roles
A role defines what a user can access and do in a Qomon space. Each user has exactly one role.You can manage role permissions and create custom roles only in the Qomon UI, under Space Settings > General > Role Management. These actions are not available through the API.
GET /roles to list the roles available in the current space and retrieve their role_id values before calling PATCH /users/role.
For more details about Qomon’s default roles and permissions, see the Qomon Help Center article about roles.
Permissions (access field)
Each role returned by GET /roles includes an access array: the permissions actually granted to that role, as resource:scope strings.
access can be empty (e.g. for the default user role) or contain only some of a resource’s scopes.
Role permissions are managed in the Qomon UI under Space Settings > General > Role Management.
access is read-only in the API.What each permission grants
Aresource:scope entry is made of the resource being permissioned and the level of access granted on it (see scope meanings below). Browse by category:
Contacts & members
Contacts & members
Actions & field organizing
Actions & field organizing
Communication
Communication
Donations & transactions
Donations & transactions
Analytics & settings
Analytics & settings
What a scope means
The part after the colon is the level of access granted on the resource:Teams
Use teams to organize members of your Qomon space for actions and field organizing. Each team has its own visibility settings.Public vs private teams
- Public teams are visible to every member of the space and can be returned by
GET /teams/public. - Private teams are only visible to members who belong to that team or have the
superadminrole.

